Bug 858392 - Gnome 3.x is almost unusable with two monitors
Gnome 3.x is almost unusable with two monitors
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop3 (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 16:47 EDT by Dennis Schulmeister
Modified: 2013-07-31 20:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:48:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
~/.xsession-errors (19.72 KB, text/plain)
2012-09-18 16:49 EDT, Dennis Schulmeister
no flags Details
dmesg (67.53 KB, text/plain)
2012-09-18 16:50 EDT, Dennis Schulmeister
no flags Details
Xorg.0.log (76.80 KB, text/plain)
2012-09-18 16:50 EDT, Dennis Schulmeister
no flags Details

  None (edit)
Description Dennis Schulmeister 2012-09-18 16:47:44 EDT
Description of problem:
Dual-monitor support on Gnome 3.x seems broken.

Version-Release number of selected component (if applicable):
Fedora 17, Gnome 3.4

How reproducible:
Always.


Alternative 1:
==============

Steps to Reproduce:
1. Connect a second monitor to laptop
2. Power on / boot
3. Try to login to gnome shell

Actual results:
Gnome starts in fallback mode

Expected results:
Gnome shell instead of fallback mode


Alternative 2:
==============

Steps to Reproduce:
1. Login to gnome shell
2. Connect second monitor
3. Disable mirroring for the second monitor

Actual results:
The desktop background is always blue

Expected results:
The wallpaper picture or configured background color should be shown.


Additional info:
I tried two different laptops and different monitors with different native resolutions. The first laptop has "Gallium 0.4 on ATI RS690" graphics and the other "Intel 945GME".
Comment 1 Dennis Schulmeister 2012-09-18 16:49:07 EDT
Created attachment 614117 [details]
~/.xsession-errors
Comment 2 Dennis Schulmeister 2012-09-18 16:50:11 EDT
Created attachment 614119 [details]
dmesg
Comment 3 Dennis Schulmeister 2012-09-18 16:50:59 EDT
Created attachment 614121 [details]
Xorg.0.log
Comment 4 Dennis Schulmeister 2012-09-18 18:10:13 EDT
As it turns out this seems to be related to a hardware limit. Trying the same with an ubuntu live system I get the message that the combined resolution may not exceed 2048x2048 for 3d acceleration to work.

Gnome shell doesn't start without hardware acceleration. Even with the built-in laptop display switched off it doesn't start. Though the hardware limit wouldn't be reached. Plugging in the second monitor after gnome shell has started brings the desktop background back if the built-in display is off.

Therefore I'm not sure if this is really a gnome bug. It seems that with both displays activated gnome shell falls back to software rendering, which has it's very own issues.
Comment 5 Fedora End Of Life 2013-07-03 18:43:23 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 20:48:24 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.